roomba_comm_t Struct Reference

## Public Attributes

char | serial_port [PATH_MAX]
int | fd
unsigned char | mode
double | ox
double | oy
double | oa
int | bumper_left
int | bumper_right
unsigned char | wheeldrop_caster
unsigned char | wheeldrop_left
unsigned char | wheeldrop_right
unsigned char | wall
unsigned char | cliff_left
unsigned char | cliff_frontleft
unsigned char | cliff_frontright
unsigned char | cliff_right
unsigned char | virtual_wall
unsigned char | overcurrent_driveleft
unsigned char | overcurrent_driveright
unsigned char | overcurrent_mainbrush
unsigned char | overcurrent_sidebrush
unsigned char | overcurrent_vacuum
unsigned char | dirtdetector_right
unsigned char | dirtdetector_left
unsigned char | remote_opcode
unsigned char | button_power
unsigned char | button_spot
unsigned char | button_clean
unsigned char | button_max
unsigned char | charging_state
double | voltage
double | current
double | temperature
double | charge
double | capacity

The documentation for this struct was generated from the following file:

- roomba_comms.h

Last updated 12 September 2005 21:38:45